Description

I suggest adding an honorific suffix "さん" ("san") to Japanese messages.

In Japanese, it is rare and sometimes impolite not to add honorific suffixes referring to others in a conversation. For example, people

say "Maeda-san" when talking to me. You can see more examples even on this site, such as #28125#note-18, #27009#note-5, and 

#25775#note-4. There are various honorific suffixes in Japanese. The most commonly used one is "さん" ("san"). Many localized

software use "さん" in Japanese messages.

The attached patch adds "さん" after "%{author}".

 

Related issues:

Related to Redmine - Patch #21280: Change Japanese translation for text_user_... Closed

Associated revisions

Revision 18301 - 2019-06-20 18:23 - Jean-Philippe Lang

Add honorific suffixes ("san") in Japanese translation (#29151).

Patch by Go MAEDA.

History

#1 - 2018-06-28 05:38 - Go MAEDA

- Related to Patch #21280: Change Japanese translation for text_user_wrote added

#2 - 2018-06-28 06:07 - Go MAEDA

- File screenshot-29151@2x.png added

- Description updated

#3 - 2018-07-04 12:40 - Go MAEDA

- Target version set to 4.1.0

I am setting target version to 4.1.0.

#4 - 2019-06-20 18:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang
https://www.redmine.org/issues/28125#note-18
https://www.redmine.org/issues/27009#note-5
https://www.redmine.org/issues/25775#note-4


Committed, thanks.

Files

ja-translation-add-honorific-suffix.diff 2.53 KB 2018-06-28 Go MAEDA

screenshot-29151@2x.png 51 KB 2018-06-28 Go MAEDA
